"use strict";
/*
 * Licensed to Elasticsearch B.V. under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. Elasticsearch B.V. licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_dom_1 = require("react-dom");
const global_toast_list_1 = require("../../../../../src/core/public/notifications/toasts/global_toast_list");
const toasts_api_1 = require("../../../../../src/core/public/notifications/toasts/toasts_api");
class ToastsService {
    setup() {
        this.api = new toasts_api_1.ToastsApi();
        return this.api;
    }
    start({ i18n, targetDomElement }) {
        this.targetDomElement = targetDomElement;
        react_dom_1.render(react_1.default.createElement(i18n.Context, null,
            react_1.default.createElement(global_toast_list_1.GlobalToastList, { dismissToast: (toast) => this.api.remove(toast), "toasts$": this.api.get$() })), targetDomElement);
        return this.api;
    }
    stop() {
        if (this.targetDomElement) {
            react_dom_1.unmountComponentAtNode(this.targetDomElement);
            this.targetDomElement.textContent = '';
        }
    }
}
exports.ToastsService = ToastsService;
